跳到主要内容

查看按需集群详情 (V2)
公测版

Describe the details of a specific on-demand cluster in the current project.

GET/v2/clusters/onDemandClusters/{CLUSTER_ID}
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com.cn

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

示例值:application/json
CLUSTER_IDstringpathrequired

当前操作的目标集群。

示例值:inxx-xxxxxxxxxxxxxxx
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 - application/json
codeinteger

响应码。

dataobject

当前集群的详细情况。

propertiesobject
projectIdstring

ID of the project.

clusterIdstring

ID of the cluster.

示例值:inxx-xxxxxxxxxxxxxxx
clusterNamestring

Name of the cluster.

regionIdstring

集群所处云地域 ID。

示例值:ali-cn-hangzhou
cuSizeinteger

CU size of the cluster

statusstring

Current cluster status

endpointstring

Cluster public endpoint. For an on-demand cluster, the endpoint is an on-demand compute endpoint, which is shared among all on-demand clusters in the project. Use that with the target cluster ID for searches and queries.

示例值:https://proj-xxxxxxxxxxxxxxx.aws-us-west-2.zillizcloud.com
privateLinkstring

Cluster private endpoint. This is an empty string if private link is not enabled.

createdBystring

Email address of the user who create the cluster.

createTimeinteger

Timestamp at which the cluster is created.

autoSuspendinteger

Auto-suspend idle window configured for the cluster. The cluster will be automatically suspended if there is no request within the specified period. The value is an integer representing the number of seconds. For example, 300 means 5 minutes.

{
"code": 0,
"data": {
"projectId": "proj-xxxxxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "Cluster-01",
"regionId": "ali-cn-beijing",
"cuSize": 8,
"status": "RUNNING",
"endpoint": "https://proj-xxxxxxxxxxxxxxx.ali-cn-beijing.api.zilliz.com.cn",
"privateLink": "",
"createdBy": "john.doe@zilliz.com",
"createTime": 1745396115000,
"autoSuspend": 60
}
}
{
"code": 21119,
"message": "The apikey is illegal."
}